> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Put v1hubendpoints



## OpenAPI

````yaml https://api.comm.com/docs/api.json put /v1/hub/endpoints/{endpoint}
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/hub/endpoints/{endpoint}:
    put:
      tags:
        - SellerEndpoints
      operationId: hub.endpoints.update
      parameters:
        - name: endpoint
          in: path
          required: true
          description: The endpoint ID
          schema:
            type: string
            format: uuid
      requestBody:
        description: '`SellerEndpointDataRequest`'
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SellerEndpointDataRequest'
      responses:
        '200':
          description: '`SellerEndpointData`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type:
                          - string
                          - 'null'
                      name:
                        type:
                          - string
                          - 'null'
                      username:
                        type: string
                      password:
                        type: string
                      client_company_id:
                        type: string
                        format: uuid
                      sms_routing_plan_id:
                        type: string
                        format: uuid
                      default_route_id:
                        type:
                          - string
                          - 'null'
                        format: uuid
                      pricing_update_email:
                        type:
                          - string
                          - 'null'
                        format: email
                      allowed_ips:
                        type:
                          - array
                          - 'null'
                        default: []
                        items:
                          type: string
                      tags:
                        type:
                          - array
                          - 'null'
                        default: []
                        items:
                          type: string
                      tx:
                        type: integer
                        default: 1
                      rx:
                        type: integer
                        default: 1
                      trx:
                        type: integer
                        default: 1
                      is_sending_allowed:
                        type: boolean
                        default: true
                      max_price:
                        type: number
                        default: 0
                      is_max_price_enabled:
                        type: boolean
                        default: false
                      min_margin:
                        type:
                          - integer
                          - 'null'
                      active_connections:
                        anyOf:
                          - $ref: '#/components/schemas/SellerEndpointConnectionData'
                          - type: 'null'
                    required:
                      - id
                      - name
                      - username
                      - password
                      - client_company_id
                      - sms_routing_plan_id
                      - default_route_id
                      - pricing_update_email
                      - allowed_ips
                      - tags
                      - tx
                      - rx
                      - trx
                      - is_sending_allowed
                      - max_price
                      - is_max_price_enabled
                      - min_margin
                      - active_connections
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    SellerEndpointDataRequest:
      type: object
      properties:
        id:
          type:
            - string
            - 'null'
        name:
          type:
            - string
            - 'null'
        username:
          type: string
        password:
          type: string
        client_company_id:
          type: string
          format: uuid
        sms_routing_plan_id:
          type: string
          format: uuid
        default_route_id:
          type: string
          format: uuid
        pricing_update_email:
          type:
            - string
            - 'null'
          format: email
        allowed_ips:
          type:
            - array
            - 'null'
          default: []
          items:
            type: string
        tags:
          type:
            - array
            - 'null'
          default: []
          items:
            type: string
        tx:
          type: integer
          default: 1
        rx:
          type: integer
          default: 1
        trx:
          type: integer
          default: 1
        is_sending_allowed:
          type: boolean
          default: true
        max_price:
          type: number
          default: 0
        is_max_price_enabled:
          type: boolean
          default: false
        min_margin:
          type:
            - integer
            - 'null'
        active_connections:
          anyOf:
            - $ref: '#/components/schemas/SellerEndpointConnectionDataRequest'
            - type: 'null'
      required:
        - username
        - password
        - client_company_id
        - sms_routing_plan_id
      title: SellerEndpointDataRequest
    SellerEndpointConnectionData:
      type: object
      properties:
        tx:
          type:
            - integer
            - 'null'
        rx:
          type:
            - integer
            - 'null'
        trx:
          type:
            - integer
            - 'null'
      required:
        - tx
        - rx
        - trx
      title: SellerEndpointConnectionData
    SellerEndpointConnectionDataRequest:
      type: object
      properties:
        tx:
          type:
            - integer
            - 'null'
        rx:
          type:
            - integer
            - 'null'
        trx:
          type:
            - integer
            - 'null'
      title: SellerEndpointConnectionDataRequest
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````